# Brand templates

## List brand templates

List all brand templates you have access to with the user assigned to the credentials.

This endpoint makes an HTTP GET request to retrieve a list of brand templates from the specified API endpoint.

### **Request**

* Method: GET
* Endpoint: `https://api.thebrief.ai/v1/brandkits/templates`
* Query Parameters:
  * `keyword`  (string, optional): The keyword to search for a brand template name
  * `brandkitId` (integer, optional): Return only brand templates from a specific brandkit
  * `folderId` (integer, optional): Return only brand templates from a specific folder
  * `limit` (integer, optional): The maximum number of brand templates to be returned.
  * `cursor` (string, optional): A cursor for pagination.
  * `apiGenerated` (boolean, optional): Return only brand templates generated by API (excluded without this true)
  * `exactSearch` (boolean, optional): If true, it will return only the brand templates with the name equal to the keyword. (For ex. keyword = 'Brand Template 1' will return only designs with the name 'Brand Template 1')
  * `orderBy`  (enum, optional): option to order the response results by the next fields:&#x20;

    ```typescript
    ID
    NAME
    CREATED_AT
    UPDATED_AT
    ```
  * `orderDirection`  (enum, optional): option to order the response by direction:

    ```
    ASC
    DESC
    ```

### Response

Upon a successful execution with a status code of 200, the response will be in JSON format and will include a "response" object containing an array of "nodes" with "id" and "name" properties, as well as a "pageInfo" object with "hasNextPage" and "endCursor" properties.

Request example:

```
{
    "response": {
        "nodes": [
            {
                "id": "3pqqql",
                "name": "Brandkit Name",
                "projectId": 826801,
                "folderId": 1252444,
                "apiGenerated": false,
                "thumbUrl": "Thumbnail URL"
            }
        ],
        "pageInfo": {
            "hasNextPage": true,
            "endCursor": "eyJsaW1pdCI6NTAsImxhc3RJZCI6MzEzNDI0Mn0="
        }
    }
}
```

The thumbUrl is valid for 12 hours, after which it must be rerun the query to regenerate it.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/brand-kits/brand-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
